Subject: bug#76457: 31.0.50; Cannot create bookmark to chained TRAMP connection

From: Michael Albinus <[email-masked]>
Date: Sat, 22 Feb 2025 10:12:06 +0100

Sean Whitton <[email-masked]> writes:

> Hello Michael,

Hi Sean,

>> --8<---------------cut here---------------start------------->8---
>>    • Why saved multi-hop file names do not work in a new Emacs
>>      session?
>>
>>      When saving ad-hoc multi-hop TRAMP file names (*note Ad-hoc
>>      multi-hops::) via bookmarks, recent files, filecache, bbdb, or
>>      another package, use the full ad-hoc file name including all
>>      hops, like ‘/ssh:bird@bastion|ssh:news.my.domain:/opt/news/etc’.
>>      This is achieved by setting the user option
>>      ‘tramp-show-ad-hoc-proxies’ to non-‘nil’.
>>
>>      Alternatively, when saving abbreviated multi-hop file names like
>>      ‘/ssh:[email-masked]:/opt/news/etc’, the user option
>>      ‘tramp-save-ad-hoc-proxies’ must be set non-‘nil’ value.
>> --8<---------------cut here---------------end--------------->8---
>>
>> Does this help?
>
> Thanks!  The first paragraph is helpful, but then the second paragraph
> confuses me a bit.  What is the relationship between the two options?

I tried to say it with the beginning of the second paragraph.
"Alternatively, ..." means, that both options are independent from each
other.

My English is notoriously bad. If you have a better phrasing, pls let me know.

> Also, why is tramp-show-ad-hoc-proxies not non-nil by default?
> Just a matter of preserving backwards compatibility?

The majority of Tramp users prefers the abbreviated form "/sudo:root@host:"
when they have started with "/ssh:host|sudo::". This works as expected,
unless you want to keep this over Emacs session boundaries. So it is a
convenience default to initialize this option with nil.

Best regards, Michael.